SDL_GetTextureAlphaModFloat(3)

NAME
SDL_GetTextureAlphaModFloat - Get the additional alpha value multiplied into render copy operations.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_GetTextureAlphaModFloat(SDL_Texture *texture, float *alpha);

FUNCTION PARAMETERS

texture
    the texture to query.

alpha
    a pointer filled in with the current alpha value.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetTextureAlphaMod(3), •(3), SDL_GetTextureColorModFloat(3), •(3), SDL_SetTextureAlphaModFloat(3)